/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.addons.junittests;

import gamf.interfaces.framework.IEventTrigger;

/**
 * Strings used within some of the tests.
 * 
 * @author markus
 * 
 */
public class JunitTestRegister {

	public static final String MANAGEDFACETNAME1 = "junit managedFacet name 1";
	public static final String MANAGEDFACETNAME2 = "junit managedFacet name 2";
	public static final String EVENTINFOID = "EVENTINFOID";
	public static final String EVENTGENERATOREVENTTYPE_1 = "EVENTGENERATOREVENTTYPE_1";
	public static final String EVENTGENERATOREVENTTYPE_2 = "EVENTGENERATOREVENTTYPE_2";
	public static final String EVENTGENERATORID = "EVENTGENERATORID";
	public static final String EVENTGENERATORCATEGORY = "EVENTGENERATORCATEGORY";
	public static final String EFFECTORID = "EFFECTORID";
	public static final String EFFECTORCATEGORY = "EFFECTORCATEGORY";

	public static final String METRICEVALUATORID = "METRICEVALUATORID";
	public static final String METRICEVALUATORCATEGORY = "METRICEVALUATORCATEGORY";
	public static final int TUNEABLEPARAMETER = 0;
	public static final IEventTrigger EVENTGENERATOREVENTTYPE_3 = null;
	public static final String METRIC = "METRIC";
	public static final String POLICY_EVALUATOR_CATEGORY = "POLICY_EVALUATOR_CATEGORY";
	public static final String POLICY_EVALUATOR_ID = "POLICY_EVALUATOR_ID";

}
