/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.framework.exceptions;

@SuppressWarnings("serial")
public class DoubleManagedFacetNameOccurenceException extends Exception{
	
	
	/**
	 * Gets thrown if an managedFacet is created that holds an managedFacet name which is already held by another managedFacet.
	 * 
	 * @param msg detailed information
	 * 
	 *
	 */
	
	public DoubleManagedFacetNameOccurenceException(String msg){
		super(msg);
	}

}
